Subject: Decay characteristics of Roundup + 2-4-D

From: [email-masked](Michael L Roginsky )
Date: 20 May 1996 21:03:36 GMT

I use 8 oz/gal of 40% Roundup with 8Oz/gal of 40% 2-4-D to kill kudzu
and poison ivy. How long is the half-life once applied? How harmful can
it be to exposed skin after it has dried off. I use detergent as the
surfactant to coat and stick to the targets. Is the half-life linear
with time? Thanks.........Micro, email [email-masked]